import {
  DocBlock,
  DocSideBySide,
  CodeParams,
  Parameter,
  Field,
  Values,
  CodeSnippets,
} from "../../../components/CodeDocBlock";

<DocBlock>

## getGenesisHash

Returns the genesis hash

<DocSideBySide>
<CodeParams>

### Parameters:

**None**

### Result:

- `<string>` - a Hash as base-58 encoded string

</CodeParams>
<CodeSnippets>

### Code sample:

```bash
curl http://localhost:8899 -X POST -H "Content-Type: application/json" -d '
  {"jsonrpc":"2.0","id":1, "method":"getGenesisHash"}
'
```

### Response:

```json
{
  "jsonrpc": "2.0",
  "result": "GH7ome3EiwEr7tu9JuTh2dpYWBJK3z69Xm1ZE3MEE6JC",
  "id": 1
}
```

</CodeSnippets>
</DocSideBySide>
</DocBlock>
